/* Responsive Design: Mobile to Desktop */
/*********CSS reset, lines 3-10**************/

html,
body,
div,
span,
applet,
object,
group,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
   margin: 0;
   padding: 0;
   border: 0;
   font-size: 100%;
   font: inherit;
   vertical-align: baseline;
}

/**********************End of CSS Reset*****************/
/* CSS Document */
* {
   box-sizing: border-box;
}



body {
   margin: auto;
   font-family: Arial, Helvetica, sans-serif;
   overflow: auto;
   background-color: #360606;
   background-size: 400% 400%;
   background-attachment: fixed;
}

article {
   display: grid;
   justify-content: center;
   margin: 20px;
   padding: 30px;
   background: #050505;
   background-size: 100% 100%;

   font: bold 25px Century Gothic;

   border-radius: 5%;

}

.container {
   display: grid;
   justify-content: center;
   margin: 20px;
   padding: 30px;
   background: #E6E6FA;
   background-size: 100% 100%;

   font: bold 25px Century Gothic;
   border-radius: 5%;

}

section {
   display: grid;
   justify-content: center;
   margin: 20px;
   padding: 30px;
   background: #E6E6FA;
   background-size: 100% 100%;
   opacity: 0.9;
   font: bold 25px Century Gothic;


}

header {
   display: flex;
   flex-direction: row;
   align-items: center;
   justify-content: center;
   color: white;
   text-align: center;
   font: bold 25px Century Gothic;



}

h1 {
   text-align: center;
   font: bold 40px Century Gothic;
   color: #0a0a0a;
   padding-top: 2px;
}

h2 {
   text-align: center;
   font: bold 20px Century Gothic;
   color: #020202;
   padding-bottom: 5px;
}

h3 {
   text-align: center;
   font: bold 30px Century Gothic;
   color: #080808;
   padding: 10px;
   margin: 10px;
   text-shadow:
      1px 1px 0 #f5f2f8,
      -1px -1px 0 #f5f2f8,
      1px -1px 0 #f5f2f8,
      -1px 1px 0 #f5f2f8,
      2px 2px 4px #4B0082;
}

h4 {

   text-align: center;
   font: bold 25px Century Gothic;
   color: #010101;
   border: black 2px solid;
   border-radius: 10%;
   padding: 5px;
   box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);


}

footer {
   text-align: center;
   font: bold 15px Century Gothic;
   color: #f4f2f6;
   padding-top: 20px;
   padding-bottom: 20px;
}

hr {
   border: none;
   height: 1px;
   background: #fbfafb;
   margin: 20px 0;
}

img {
   width: 50%;
   height: auto;
   object-fit: scale-down;
   display: block;
   aspect-ratio: auto;
   margin: 10px auto;
   border: 2px solid #4B0082;
   border-radius: 25%;

}

/* changing the link font and using text transform*/
a {
   text-decoration: none;
   color: #070607;
   font-weight: bold;
   text-transform: uppercase;
   letter-spacing: 1px;

}

a:hover {
   color: #f4eff7;
   transition: 0.3s;
   text-shadow: 0 0 2px #4B0082, 0 0 2px #4B0082, 0 0 2px #4B0082;
}

a:active {
   color: #4B0082;
}

a:visited {
   color: #7e0909;
   text-decoration-thickness: 2px;

}

a:focus {
   outline: 2px solid #4B0082;
}

ul {
   list-style-type: none;
   padding: 5px;
   margin: auto;
   background-color: #f4f4f4;
   border-radius: 5px;
   border: 1px solid #080707;
   box-shadow: 0 1px 3px rgba(50%, 50%, 50%, 0.1);
}

li {
   display: flex;
   flex: inline-block;
   list-style-type: none;
   padding: 2px;
   margin-bottom: 2px;
   background-color: #f4f4f4;
   border-radius: 5px;
   border: 1px solid #080707;
   box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.titles {
   text-align: center;
   font: bold 20px Century Gothic;
   color: #050505;
   margin: auto;
   padding: 10px;
   border-radius: 0%;
}

.links {
   text-align: center;
   font: bold 20px Century Gothic;
   color: #070607;
   display: flex;
   flex: inline-block;
   justify-content: center;
   gap: 10px;
   border: 1px solid #070607;
   margin: auto;
   padding: 10px;
}

.class-labs {
   display: flex;
   flex-direction: row;
   align-items: center;
   text-align: center;
   font-size: 1.2em;
   font-weight: bold;
   margin: auto;
   padding: 1rem;

   background-color: aqua;
   border-color: black;
   text-align: center;
   font: bold 20px Century Gothic;
   color: #4B0082;
}

.fun {
   display: flex;
   flex-direction: row;
   align-items: center;
   text-align: center;
   font-size: 1.2em;
   font-weight: bold;
   margin: auto;
   padding: 1rem;

   background-color: #f4eff7;
   border-color: black;
   text-align: center;
   font: bold 20px Century Gothic;
   color: #4B0082;
}

.important {
   font-weight: bold;
   color: #f8f4f4;
   text-align: center;
   font: bold 20px Century Gothic;
   padding-bottom: 20px;
}

.header-section {
   flex-direction: column;
   padding: 20px;
   border-radius: 40%;
   border-color: #010101;
   border-style: solid;
   border-width: 9px;

}

.projects {
   display: flex;
   flex-direction: column;
   align-items: center;
   background-color: #f4eff7;
   border-color: black;
   text-align: center;
   font: bold 20px Century Gothic;
   color: #4B0082;
}

@media (min-width: 900px) {
   article {
      width: 80%;
      margin: 0 auto;
   }

   .container {
      width: 80%;
      margin: 0 auto;
   }

   footer {
      width: 80%;
      margin: 0 auto;
   }

   .projects {
      width: 80%;
      margin: 0 auto;
   }

   section {
      width: 80%;
      margin: 0 auto;
      padding: 20px;


   }

   .fun {
      margin: 0 auto;
      border-radius: 5%;
      ;
   }

   .links {
      display: flex;
      flex-direction: row;
      width: 80%;
      margin: 0 auto;
      justify-content: center;
   }
}